Reports
List pinned report dashboard tiles
Tiles and preferences belong to the current staff member within the organization. Writes and metric preview require report-management permission and access to the source report. Only metrics eligible for that report can be pinned or calculated.
GET
/
admin
/
dashboard
/
tiles
List pinned report dashboard tiles
curl --request GET \
--url https://api.gratona.com/v1/admin/dashboard/tiles \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gratona.com/v1/admin/dashboard/tiles"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gratona.com/v1/admin/dashboard/tiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/dashboard/tiles",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/dashboard/tiles"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gratona.com/v1/admin/dashboard/tiles")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/dashboard/tiles")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"tiles": [
{
"id": 123,
"reportId": 123,
"metric": "<string>",
"timeframe": "<string>",
"order": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"report": {
"id": 123,
"source": "<string>",
"type": "<string>",
"type_label": "<string>",
"name": "<string>",
"search_query": "<string>",
"snapshot": true,
"starred": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"module": {
"id": 123,
"key": "<string>",
"label": "<string>"
},
"context": {
"id": "<string>",
"label": "<string>",
"available": true
},
"filters": [
{
"field": "<string>",
"operator": "<string>",
"value": "<unknown>",
"op": "<string>"
}
],
"columns": {
"fields": [
"<string>"
],
"order": [
"<string>"
],
"labels": {},
"definitions": [
{
"key": "<string>",
"label": "<string>",
"type": "<string>",
"source": "<string>",
"capabilities": {},
"help": {}
}
]
},
"field_labels": {},
"date_range": {
"preset": "all_time",
"start_date": "2023-12-25",
"end_date": "2023-12-25"
},
"footer_calculations": [
{
"field_key": "<string>",
"operation": "count_empty"
}
],
"sort": {
"key": "<string>",
"order": "<string>"
},
"schedule": {},
"schedule_entitlement": {
"enabled": true,
"locked": true
},
"related": {},
"owner": {
"id": 123
},
"open": {
"path": "<string>",
"query": {}
},
"missing_fields": {},
"actions": {}
}
}
],
"defaultTimeframe": "<string>",
"density": "<string>"
}
}{
"message": "Unauthorized",
"status": "error"
}{
"message": "Something went wrong. Please try again.",
"status": "error",
"error": "invalid_request",
"code": "DONOR_NOT_FOUND"
}⌘I
List pinned report dashboard tiles
curl --request GET \
--url https://api.gratona.com/v1/admin/dashboard/tiles \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gratona.com/v1/admin/dashboard/tiles"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gratona.com/v1/admin/dashboard/tiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/dashboard/tiles",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/dashboard/tiles"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gratona.com/v1/admin/dashboard/tiles")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/dashboard/tiles")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"tiles": [
{
"id": 123,
"reportId": 123,
"metric": "<string>",
"timeframe": "<string>",
"order": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"report": {
"id": 123,
"source": "<string>",
"type": "<string>",
"type_label": "<string>",
"name": "<string>",
"search_query": "<string>",
"snapshot": true,
"starred": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"module": {
"id": 123,
"key": "<string>",
"label": "<string>"
},
"context": {
"id": "<string>",
"label": "<string>",
"available": true
},
"filters": [
{
"field": "<string>",
"operator": "<string>",
"value": "<unknown>",
"op": "<string>"
}
],
"columns": {
"fields": [
"<string>"
],
"order": [
"<string>"
],
"labels": {},
"definitions": [
{
"key": "<string>",
"label": "<string>",
"type": "<string>",
"source": "<string>",
"capabilities": {},
"help": {}
}
]
},
"field_labels": {},
"date_range": {
"preset": "all_time",
"start_date": "2023-12-25",
"end_date": "2023-12-25"
},
"footer_calculations": [
{
"field_key": "<string>",
"operation": "count_empty"
}
],
"sort": {
"key": "<string>",
"order": "<string>"
},
"schedule": {},
"schedule_entitlement": {
"enabled": true,
"locked": true
},
"related": {},
"owner": {
"id": 123
},
"open": {
"path": "<string>",
"query": {}
},
"missing_fields": {},
"actions": {}
}
}
],
"defaultTimeframe": "<string>",
"density": "<string>"
}
}{
"message": "Unauthorized",
"status": "error"
}{
"message": "Something went wrong. Please try again.",
"status": "error",
"error": "invalid_request",
"code": "DONOR_NOT_FOUND"
}